package Transferencia;

public class Cliente {
	
	private float dinero_disponible;
	private float maximo_permitido;
	
	public Cliente(){
		dinero_disponible = 0;
		maximo_permitido = 5000;
	}
	
	public Cliente(float disponible){
		dinero_disponible = disponible;
		maximo_permitido = 5000;
	}
	
	public Cliente(float disponible, float permitido){
		dinero_disponible = disponible;
		maximo_permitido = permitido;
	}
	
	public float getDisponible(){
		return dinero_disponible;
	}
	
	public void extraer(float monto) throws SinFondosException{
		if ((dinero_disponible - monto) < 0)
			throw new SinFondosException("No alcanzan los fondos para extraer en esta cuenta");
		else
			dinero_disponible -= monto;
	}
	
	public void depositar(float monto) throws SuperaMaximoException{
		if (maximo_permitido < (dinero_disponible + monto))
			throw new SuperaMaximoException("Se superó la maxima cantidad de dinero permitido en cuenta");
		else
			dinero_disponible += monto;
	}

}
